{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% set _breadcrumb = ['Administration', [flux.name, 'flux.administrate', {id: flux.id}], 'Administration' ] %}
{% extends 'flux/detail.html.twig' %}

{% block subcontent %}
    <div class="box no-border">
        <div class="box-body p-0">
            <div class="list-group list-group-admin-tasks m-b-0">

                {% if workflow_can(flux, 'pause') %}
                    <div class="list-group-item">
                        <a href="{{ path('flux.administrate.pause', {"action": "pause", id: flux.id}) }}" class="btn btn-default pull-right" data-toggle="modal-remote">Mettre en veille</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-pause-circle"></span> Mettre en veille</h4>
                        <p class="list-group-item-text">Le flux sera mis en veille : les paramètres de récurrence du flux seront désactivées. Vous avez la possibilité de remettre en route ce flux.</p>
                    </div>
                {% endif %}

                {% if workflow_can(flux, 'unpause') %}
                    <div class="list-group-item">
                        <a href="{{ path('flux.administrate.unpause', {"action": "unpause", id: flux.id}) }}" class="btn btn-default pull-right" data-toggle="modal-remote">Sortir de veille</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-pause-circle"></span> Sortir de veille</h4>
                        <p class="list-group-item-text">Le flux sera sorti de veille : les paramètres de récurrence du flux seront réactivés.</p>
                    </div>
                {% endif %}

                {% if workflow_can(flux, 'block') %}
                    <div class="list-group-item list-group-item-warning">
                        <a href="{{ path('flux.administrate.block', {"action": "block", id: flux.id}) }}" class="btn btn-warning pull-right" data-toggle="modal-remote">Bloquer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-ban"></span> Bloquer le flux</h4>
                        <p class="list-group-item-text">Le flux sera bloqué : l'ensemble des fonctionnalités de mise à jour du flux seront désactivées. Un administrateur pourra débloquer le flux.</p>
                    </div>
                {% endif %}

                {% if workflow_can(flux, 'unblock') %}
                    <div class="list-group-item list-group-item-warning">
                        <a href="{{ path('flux.administrate.unblock', {"action": "unblock", id: flux.id}) }}" class="btn btn-warning pull-right" data-toggle="modal-remote">Débloquer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-ban"></span> Débloquer le flux</h4>
                        <p class="list-group-item-text">Le flux sera débloqué : l'ensemble des fonctionnalités de mise à jour du flux seront réactivées.</p>
                    </div>
                {% endif %}

                {% if is_granted('flux.delete', flux) %}
                    <div class="list-group-item list-group-item-danger">
                        <a href="{{ path('flux.administrate.delete', {id: flux.id}) }}" {% if flux.active %}disabled title="Le flux ne peut être surpprimé tant qu'il est en cours de traitement."{% endif %} class="btn btn-danger pull-right" data-toggle="modal-remote">Supprimer</a>
                        <h4 class="list-group-item-heading"><span class="fa fa-trash"></span> Supprimer définitivement le flux</h4>
                        <p class="list-group-item-text">Supprime définitivement le flux de la plateforme, rendant obsolètes l'ensemble des POI liés.</p>
                        {% if flux.active %}
                            <p class="list-group-item-text"><strong>Le flux est en cours de traitement. Si vous avez déjà demandé sa suppression, il sera supprimé à l'issu du traitement.</strong></p>
                        {% endif %}
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}